Package com.mckoi.database.sql

## Interface SQLConstants

All Known Implementing Classes:
  `SQL`, `SQLTokenManager`

    public interface SQLConstants

### Field Summary

Fields
`static int` `ACCOUNT`
`static int` `ACTION`
`static int` `ADD`
`static int` `AFTER`
`static int` `ALL`
`static int` `ALTER`
`static int` `AND`
`static int` `ANY`
`static int` `AS`
`static int` `ASC`
`static int` `ASSIGNMENT`
`static int` `AUTOCOMMIT`
`static int` `BEFORE`
`static int` `BETWEEN`
`static int` `BIGINT`
`static int` `BINARY`
`static int` `BIT`
`static int` `BLOB`
`static int` `BOOLEAN`
`static int` `BOOLEAN_LITERAL`
`static int` `BOTH`
`static int` `CACHE`
`static int` `CALL`
`static int` `CALLBACK`
`static int` `CANONICAL_DECOMPOSITION`
`static int` `CASCADE`
`static int` `CAST`
`static int` `CHAR`
`static int` `CHARACTER`
`static int` `CHECK`
`static int` `CLOB`
`static int` `COLLATE`
`static int` `COMMIT`
`static int` `COMPACT`
`static int` `CONCAT`
`static int` `CONSTRAINT`
`static int` `COUNT`
`static int` `CREATE`
`static int` `CROSS`
`static int` `CTALIAS`
`static int` `CURRENT_DATE`
`static int` `CURRENT_TIME`
`static int` `CURRENT_TIMESTAMP`
`static int` `CYCLE`
`static int` `DATE`
`static int` `DECIMAL`
`static int` `DEFAULT`
`static int` `DEFERRABLE`
`static int` `DEFERRED`
`static int` `DELETE`
`static int` `DESC`
`static int` `DESCRIBE`
`static int` `DIGIT`
`static int` `DISTINCT`
`static int` `DIVIDE`
`static int` `DOT_DELIMINATED_REF`
`static int` `DOUBLE`
`static int` `DROP`
`static int` `EACH`
`static int` `EOF`
`static int` `EQUALS`
`static int` `EXCEPT`
`static int` `EXECUTE`
`static int` `EXISTS`
`static int` `EXPLAIN`
`static int` `FLOAT`
`static int` `FOR`
`static int` `FOREIGN`
`static int` `FROM`
`static int` `FULL_DECOMPOSITION`
`static int` `FUNCTION`
`static int` `GLOBVARIABLE`
`static int` `GR`
`static int` `GRANT`
`static int` `GREQ`
`static int` `GROUPBY`
`static int` `GROUPMAX`
`static int` `GROUPS`
`static int` `HAVING`
`static int` `IDENTICAL_STRENGTH`
`static int` `IDENTIFIER`
`static int` `IF`
`static int` `IGNORE`
`static int` `IMMEDIATE`
`static int` `IN`
`static int` `INCREMENT`
`static int` `INDEX`
`static int` `INDEX_BLIST`
`static int` `INDEX_NONE`
`static int` `INITIALLY`
`static int` `INNER`
`static int` `INSERT`
`static int` `INT`
`static int` `INTEGER`
`static int` `INTERSECT`
`static int` `INTO`
`static int` `IS`
`static int` `JAVA`
`static int` `JAVA_OBJECT`
`static int` `JAVA_OBJECT_ARRAY_REF`
`static int` `JOIN`
`static int` `KEY`
`static int` `LANGUAGE`
`static int` `LE`
`static int` `LEADING`
`static int` `LEEQ`
`static int` `LEFT`
`static int` `LETTER`
`static int` `LIKE`
`static int` `LIMIT`
`static int` `LOCK`
`static int` `LONG`
`static int` `LONGVARBINARY`
`static int` `LONGVARCHAR`
`static int` `MAXVALUE`
`static int` `MINVALUE`
`static int` `NAME`
`static int` `NATURAL`
`static int` `NEW`
`static int` `NO`
`static int` `NO_DECOMPOSITION`
`static int` `NOT`
`static int` `NOTEQ`
`static int` `NULL_LITERAL`
`static int` `NUMBER_LITERAL`
`static int` `NUMERIC`
`static int` `OLD`
`static int` `ON`
`static int` `OPTIMIZE`
`static int` `OPTION`
`static int` `OR`
`static int` `ORDERBY`
`static int` `OUTER`
`static int` `PARAMETER_REF`
`static int` `PASSWORD`
`static int` `PRIMARY`
`static int` `PRIMARY_STRENGTH`
`static int` `PRIVILEGES`
`static int` `PROCEDURE`
`static int` `PUBLIC`
`static int` `QUOTED_DELIMINATED_REF`
`static int` `QUOTED_VARIABLE`
`static int` `QUOTEDGLOBVARIABLE`
`static int` `READCOMMITTED`
`static int` `READUNCOMMITTED`
`static int` `REAL`
`static int` `REFERENCES`
`static int` `REGEX`
`static int` `REGEX_LITERAL`
`static int` `REPEATABLEREAD`
`static int` `RESTRICT`
`static int` `RETURNS`
`static int` `REVOKE`
`static int` `RIGHT`
`static int` `ROLLBACK`
`static int` `ROW`
`static int` `SCHEMA`
`static int` `SECONDARY_STRENGTH`
`static int` `SELECT`
`static int` `SEQUENCE`
`static int` `SERIALIZABLE`
`static int` `SET`
`static int` `SHOW`
`static int` `SHUTDOWN`
`static int` `SMALLINT`
`static int` `SOME`
`static int` `SQLADD`
`static int` `SQLCOLUMN`
`static int` `SQLDEFAULT`
`static int` `SQLRETURN`
`static int` `STAR`
`static int` `START`
`static int` `STRING`
`static int` `STRING_LITERAL`
`static int` `SUBTRACT`
`static int` `TABLE`
`static int` `TEMPORARY`
`static int` `TERTIARY_STRENGTH`
`static int` `TEXT`
`static int` `TIME`
`static int` `TIMESTAMP`
`static int` `TINYINT`
`static int` `TO`
`static java.lang.String[]` `tokenImage`
`static int` `TRAILING`
`static int` `TRANSACTIONISOLATIONLEVEL`
`static int` `TRIGGER`
`static int` `TRIM`
`static int` `UNION`
`static int` `UNIQUE`
`static int` `UNLOCK`
`static int` `UPDATE`
`static int` `USAGE`
`static int` `USE`
`static int` `USER`
`static int` `USING`
`static int` `VALUES`
`static int` `VARBINARY`
`static int` `VARCHAR`
`static int` `VARYING`
`static int` `VIEW`
`static int` `WHERE`
`static int` `WITH`

### Field Detail

#### EOF

    static final int EOF

See Also:
  Constant Field Values

#### STAR

    static final int STAR

See Also:
  Constant Field Values

#### ASSIGNMENT

    static final int ASSIGNMENT

See Also:
  Constant Field Values

#### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

#### GR

    static final int GR

See Also:
  Constant Field Values

#### LE

    static final int LE

See Also:
  Constant Field Values

#### GREQ

    static final int GREQ

See Also:
  Constant Field Values

#### LEEQ

    static final int LEEQ

See Also:
  Constant Field Values

#### NOTEQ

    static final int NOTEQ

See Also:
  Constant Field Values

#### DIVIDE

    static final int DIVIDE

See Also:
  Constant Field Values

#### ADD

    static final int ADD

See Also:
  Constant Field Values

#### SUBTRACT

    static final int SUBTRACT

See Also:
  Constant Field Values

#### CONCAT

    static final int CONCAT

See Also:
  Constant Field Values

#### BOOLEAN_LITERAL

    static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

#### NULL_LITERAL

    static final int NULL_LITERAL

See Also:
  Constant Field Values

#### REGEX_LITERAL

    static final int REGEX_LITERAL

See Also:
  Constant Field Values

#### DROP

    static final int DROP

See Also:
  Constant Field Values

#### SHOW

    static final int SHOW

See Also:
  Constant Field Values

#### ALTER

    static final int ALTER

See Also:
  Constant Field Values

#### SELECT

    static final int SELECT

See Also:
  Constant Field Values

#### UPDATE

    static final int UPDATE

See Also:
  Constant Field Values

#### CREATE

    static final int CREATE

See Also:
  Constant Field Values

#### DELETE

    static final int DELETE

See Also:
  Constant Field Values

#### INSERT

    static final int INSERT

See Also:
  Constant Field Values

#### COMMIT

    static final int COMMIT

See Also:
  Constant Field Values

#### COMPACT

    static final int COMPACT

See Also:
  Constant Field Values

#### EXPLAIN

    static final int EXPLAIN

See Also:
  Constant Field Values

#### ROLLBACK

    static final int ROLLBACK

See Also:
  Constant Field Values

#### OPTIMIZE

    static final int OPTIMIZE

See Also:
  Constant Field Values

#### DESCRIBE

    static final int DESCRIBE

See Also:
  Constant Field Values

#### SHUTDOWN

    static final int SHUTDOWN

See Also:
  Constant Field Values

#### IS

    static final int IS

See Also:
  Constant Field Values

#### AS

    static final int AS

See Also:
  Constant Field Values

#### ON

    static final int ON

See Also:
  Constant Field Values

#### IF

    static final int IF

See Also:
  Constant Field Values

#### TO

    static final int TO

See Also:
  Constant Field Values

#### NO

    static final int NO

See Also:
  Constant Field Values

#### ALL

    static final int ALL

See Also:
  Constant Field Values

#### ANY

    static final int ANY

See Also:
  Constant Field Values

#### SET

    static final int SET

See Also:
  Constant Field Values

#### USE

    static final int USE

See Also:
  Constant Field Values

#### ASC

    static final int ASC

See Also:
  Constant Field Values

#### OLD

    static final int OLD

See Also:
  Constant Field Values

#### NEW

    static final int NEW

See Also:
  Constant Field Values

#### SQLADD

    static final int SQLADD

See Also:
  Constant Field Values

#### FOR

    static final int FOR

See Also:
  Constant Field Values

#### ROW

    static final int ROW

See Also:
  Constant Field Values

#### EACH

    static final int EACH

See Also:
  Constant Field Values

#### CALL

    static final int CALL

See Also:
  Constant Field Values

#### BOTH

    static final int BOTH

See Also:
  Constant Field Values

#### SOME

    static final int SOME

See Also:
  Constant Field Values

#### FROM

    static final int FROM

See Also:
  Constant Field Values

#### LEFT

    static final int LEFT

See Also:
  Constant Field Values

#### DESC

    static final int DESC

See Also:
  Constant Field Values

#### INTO

    static final int INTO

See Also:
  Constant Field Values

#### JOIN

    static final int JOIN

See Also:
  Constant Field Values

#### TRIM

    static final int TRIM

See Also:
  Constant Field Values

#### VIEW

    static final int VIEW

See Also:
  Constant Field Values

#### LOCK

    static final int LOCK

See Also:
  Constant Field Values

#### WITH

    static final int WITH

See Also:
  Constant Field Values

#### USER

    static final int USER

See Also:
  Constant Field Values

#### CAST

    static final int CAST

See Also:
  Constant Field Values

#### LONG

    static final int LONG

See Also:
  Constant Field Values

#### NAME

    static final int NAME

See Also:
  Constant Field Values

#### JAVA

    static final int JAVA

See Also:
  Constant Field Values

#### AFTER

    static final int AFTER

See Also:
  Constant Field Values

#### START

    static final int START

See Also:
  Constant Field Values

#### COUNT

    static final int COUNT

See Also:
  Constant Field Values

#### WHERE

    static final int WHERE

See Also:
  Constant Field Values

#### CYCLE

    static final int CYCLE

See Also:
  Constant Field Values

#### CACHE

    static final int CACHE

See Also:
  Constant Field Values

#### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

#### TABLE

    static final int TABLE

See Also:
  Constant Field Values

#### LIMIT

    static final int LIMIT

See Also:
  Constant Field Values

#### INNER

    static final int INNER

See Also:
  Constant Field Values

#### INDEX

    static final int INDEX

See Also:
  Constant Field Values

#### CROSS

    static final int CROSS

See Also:
  Constant Field Values

#### OUTER

    static final int OUTER

See Also:
  Constant Field Values

#### CHECK

    static final int CHECK

See Also:
  Constant Field Values

#### USING

    static final int USING

See Also:
  Constant Field Values

#### UNION

    static final int UNION

See Also:
  Constant Field Values

#### GRANT

    static final int GRANT

See Also:
  Constant Field Values

#### USAGE

    static final int USAGE

See Also:
  Constant Field Values

#### SQLRETURN

    static final int SQLRETURN

See Also:
  Constant Field Values

#### BEFORE

    static final int BEFORE

See Also:
  Constant Field Values

#### UNLOCK

    static final int UNLOCK

See Also:
  Constant Field Values

#### ACTION

    static final int ACTION

See Also:
  Constant Field Values

#### GROUPS

    static final int GROUPS

See Also:
  Constant Field Values

#### REVOKE

    static final int REVOKE

See Also:
  Constant Field Values

#### OPTION

    static final int OPTION

See Also:
  Constant Field Values

#### PUBLIC

    static final int PUBLIC

See Also:
  Constant Field Values

#### EXCEPT

    static final int EXCEPT

See Also:
  Constant Field Values

#### IGNORE

    static final int IGNORE

See Also:
  Constant Field Values

#### SCHEMA

    static final int SCHEMA

See Also:
  Constant Field Values

#### EXISTS

    static final int EXISTS

See Also:
  Constant Field Values

#### VALUES

    static final int VALUES

See Also:
  Constant Field Values

#### HAVING

    static final int HAVING

See Also:
  Constant Field Values

#### UNIQUE

    static final int UNIQUE

See Also:
  Constant Field Values

#### SQLCOLUMN

    static final int SQLCOLUMN

See Also:
  Constant Field Values

#### RETURNS

    static final int RETURNS

See Also:
  Constant Field Values

#### ACCOUNT

    static final int ACCOUNT

See Also:
  Constant Field Values

#### LEADING

    static final int LEADING

See Also:
  Constant Field Values

#### NATURAL

    static final int NATURAL

See Also:
  Constant Field Values

#### BETWEEN

    static final int BETWEEN

See Also:
  Constant Field Values

#### TRIGGER

    static final int TRIGGER

See Also:
  Constant Field Values

#### SQLDEFAULT

    static final int SQLDEFAULT

See Also:
  Constant Field Values

#### VARYING

    static final int VARYING

See Also:
  Constant Field Values

#### EXECUTE

    static final int EXECUTE

See Also:
  Constant Field Values

#### CALLBACK

    static final int CALLBACK

See Also:
  Constant Field Values

#### MINVALUE

    static final int MINVALUE

See Also:
  Constant Field Values

#### MAXVALUE

    static final int MAXVALUE

See Also:
  Constant Field Values

#### FUNCTION

    static final int FUNCTION

See Also:
  Constant Field Values

#### SEQUENCE

    static final int SEQUENCE

See Also:
  Constant Field Values

#### RESTRICT

    static final int RESTRICT

See Also:
  Constant Field Values

#### PASSWORD

    static final int PASSWORD

See Also:
  Constant Field Values

#### TRAILING

    static final int TRAILING

See Also:
  Constant Field Values

#### GROUPBY

    static final int GROUPBY

See Also:
  Constant Field Values

#### ORDERBY

    static final int ORDERBY

See Also:
  Constant Field Values

#### DEFERRED

    static final int DEFERRED

See Also:
  Constant Field Values

#### DISTINCT

    static final int DISTINCT

See Also:
  Constant Field Values

#### LANGUAGE

    static final int LANGUAGE

See Also:
  Constant Field Values

#### INCREMENT

    static final int INCREMENT

See Also:
  Constant Field Values

#### PROCEDURE

    static final int PROCEDURE

See Also:
  Constant Field Values

#### CHARACTER

    static final int CHARACTER

See Also:
  Constant Field Values

#### IMMEDIATE

    static final int IMMEDIATE

See Also:
  Constant Field Values

#### INITIALLY

    static final int INITIALLY

See Also:
  Constant Field Values

#### TEMPORARY

    static final int TEMPORARY

See Also:
  Constant Field Values

#### INTERSECT

    static final int INTERSECT

See Also:
  Constant Field Values

#### PRIVILEGES

    static final int PRIVILEGES

See Also:
  Constant Field Values

#### CONSTRAINT

    static final int CONSTRAINT

See Also:
  Constant Field Values

#### DEFERRABLE

    static final int DEFERRABLE

See Also:
  Constant Field Values

#### REFERENCES

    static final int REFERENCES

See Also:
  Constant Field Values

#### PRIMARY

    static final int PRIMARY

See Also:
  Constant Field Values

#### FOREIGN

    static final int FOREIGN

See Also:
  Constant Field Values

#### KEY

    static final int KEY

See Also:
  Constant Field Values

#### INDEX_NONE

    static final int INDEX_NONE

See Also:
  Constant Field Values

#### INDEX_BLIST

    static final int INDEX_BLIST

See Also:
  Constant Field Values

#### GROUPMAX

    static final int GROUPMAX

See Also:
  Constant Field Values

#### COLLATE

    static final int COLLATE

See Also:
  Constant Field Values

#### PRIMARY_STRENGTH

    static final int PRIMARY_STRENGTH

See Also:
  Constant Field Values

#### SECONDARY_STRENGTH

    static final int SECONDARY_STRENGTH

See Also:
  Constant Field Values

#### TERTIARY_STRENGTH

    static final int TERTIARY_STRENGTH

See Also:
  Constant Field Values

#### IDENTICAL_STRENGTH

    static final int IDENTICAL_STRENGTH

See Also:
  Constant Field Values

#### NO_DECOMPOSITION

    static final int NO_DECOMPOSITION

See Also:
  Constant Field Values

#### CANONICAL_DECOMPOSITION

    static final int CANONICAL_DECOMPOSITION

See Also:
  Constant Field Values

#### FULL_DECOMPOSITION

    static final int FULL_DECOMPOSITION

See Also:
  Constant Field Values

#### BIT

    static final int BIT

See Also:
  Constant Field Values

#### INT

    static final int INT

See Also:
  Constant Field Values

#### REAL

    static final int REAL

See Also:
  Constant Field Values

#### CLOB

    static final int CLOB

See Also:
  Constant Field Values

#### BLOB

    static final int BLOB

See Also:
  Constant Field Values

#### CHAR

    static final int CHAR

See Also:
  Constant Field Values

#### TEXT

    static final int TEXT

See Also:
  Constant Field Values

#### DATE

    static final int DATE

See Also:
  Constant Field Values

#### TIME

    static final int TIME

See Also:
  Constant Field Values

#### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

#### BIGINT

    static final int BIGINT

See Also:
  Constant Field Values

#### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

#### STRING

    static final int STRING

See Also:
  Constant Field Values

#### BINARY

    static final int BINARY

See Also:
  Constant Field Values

#### NUMERIC

    static final int NUMERIC

See Also:
  Constant Field Values

#### DECIMAL

    static final int DECIMAL

See Also:
  Constant Field Values

#### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

#### TINYINT

    static final int TINYINT

See Also:
  Constant Field Values

#### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

#### VARCHAR

    static final int VARCHAR

See Also:
  Constant Field Values

#### SMALLINT

    static final int SMALLINT

See Also:
  Constant Field Values

#### VARBINARY

    static final int VARBINARY

See Also:
  Constant Field Values

#### TIMESTAMP

    static final int TIMESTAMP

See Also:
  Constant Field Values

#### JAVA_OBJECT

    static final int JAVA_OBJECT

See Also:
  Constant Field Values

#### LONGVARCHAR

    static final int LONGVARCHAR

See Also:
  Constant Field Values

#### LONGVARBINARY

    static final int LONGVARBINARY

See Also:
  Constant Field Values

#### TRANSACTIONISOLATIONLEVEL

    static final int TRANSACTIONISOLATIONLEVEL

See Also:
  Constant Field Values

#### AUTOCOMMIT

    static final int AUTOCOMMIT

See Also:
  Constant Field Values

#### READCOMMITTED

    static final int READCOMMITTED

See Also:
  Constant Field Values

#### READUNCOMMITTED

    static final int READUNCOMMITTED

See Also:
  Constant Field Values

#### REPEATABLEREAD

    static final int REPEATABLEREAD

See Also:
  Constant Field Values

#### SERIALIZABLE

    static final int SERIALIZABLE

See Also:
  Constant Field Values

#### CASCADE

    static final int CASCADE

See Also:
  Constant Field Values

#### CURRENT_TIME

    static final int CURRENT_TIME

See Also:
  Constant Field Values

#### CURRENT_DATE

    static final int CURRENT_DATE

See Also:
  Constant Field Values

#### CURRENT_TIMESTAMP

    static final int CURRENT_TIMESTAMP

See Also:
  Constant Field Values

#### LIKE

    static final int LIKE

See Also:
  Constant Field Values

#### REGEX

    static final int REGEX

See Also:
  Constant Field Values

#### AND

    static final int AND

See Also:
  Constant Field Values

#### OR

    static final int OR

See Also:
  Constant Field Values

#### IN

    static final int IN

See Also:
  Constant Field Values

#### NOT

    static final int NOT

See Also:
  Constant Field Values

#### NUMBER_LITERAL

    static final int NUMBER_LITERAL

See Also:
  Constant Field Values

#### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

#### QUOTED_VARIABLE

    static final int QUOTED_VARIABLE

See Also:
  Constant Field Values

#### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

#### DOT_DELIMINATED_REF

    static final int DOT_DELIMINATED_REF

See Also:
  Constant Field Values

#### QUOTED_DELIMINATED_REF

    static final int QUOTED_DELIMINATED_REF

See Also:
  Constant Field Values

#### JAVA_OBJECT_ARRAY_REF

    static final int JAVA_OBJECT_ARRAY_REF

See Also:
  Constant Field Values

#### CTALIAS

    static final int CTALIAS

See Also:
  Constant Field Values

#### GLOBVARIABLE

    static final int GLOBVARIABLE

See Also:
  Constant Field Values

#### QUOTEDGLOBVARIABLE

    static final int QUOTEDGLOBVARIABLE

See Also:
  Constant Field Values

#### PARAMETER_REF

    static final int PARAMETER_REF

See Also:
  Constant Field Values

#### LETTER

    static final int LETTER

See Also:
  Constant Field Values

#### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

#### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

#### tokenImage

    static final java.lang.String[] tokenImage